# Uses of Class
javafx.scene.layout.BorderStroke

Packages that use BorderStroke
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of BorderStroke in javafx.scene.layout

Methods in javafx.scene.layout that return types with arguments of type BorderStroke
Modifier and Type
Method
Description
`final List<BorderStroke>`
Border.`getStrokes()`
The list of BorderStrokes which together define the stroked portion of this Border.
Constructors in javafx.scene.layout with parameters of type BorderStroke
Modifier
Constructor
Description
``
`Border(BorderStroke... strokes)`
Creates a new Border by supplying an array of BorderStrokes.
``
`Border(BorderStroke[] strokes, BorderImage[] images)`
Creates a new Border by supplying an array of BorderStrokes and BorderImages.
Constructor parameters in javafx.scene.layout with type arguments of type BorderStroke
Modifier
Constructor
Description
``
`Border(List<BorderStroke> strokes, List<BorderImage> images)`
Creates a new Border by supplying a List of BorderStrokes and BorderImages.